# This file created by conda-build 24.5.1
# ------------------------------------------------

package:
  name: opencv
  version: 4.10.0
source:
  - fn: opencv-4.10.0.tar.gz
    patches:
      - patches_opencv/0001-Add-installation-of-pip-metadata-from-cmake.patch
      - patches_opencv/0001-Also-install-metadata-for-opencv-python-headless.patch
      - patches_opencv/0002-delete-lines-that-download-opencv.patch
      - patches_opencv/0003-find-pkgconfig-on-windows.patch
      - patches_opencv/0004-fix-detection-for-protobuf-23.x.patch
    sha256: b2171af5be6b26f7a06b1229948bbb2bdaa74fcf5cd097e0af6378fce50a6eb9
    url: https://github.com/opencv/opencv/archive/4.10.0.tar.gz
  - fn: opencv_contrib-4.10.0.tar.gz
    folder: opencv_contrib
    patches:
      - patches_opencv_contrib/cmake_hdf5_xpile.patch
    sha256: 65597f8fb8dc2b876c1b45b928bbcc5f772ddbaf97539bf1b737623d0604cba1
    url: https://github.com/opencv/opencv_contrib/archive/4.10.0.tar.gz
  - fn: test.avi
    sha256: 78884f64b564a3b06dc6ee731ed33b60c6d8cd864cea07f21d94ba0f90c7b310
    url: https://github.com/opencv/opencv_extra/raw/master/testdata/highgui/video/VID00003-20100701-2204.avi
build:
  number: 0
  string: py311h66e330a_0
requirements:
  build:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.7.2 haa95532_0
    - cmake 3.26.4 h693b641_0
    - glib 2.78.4 hd77b12b_0
    - glib-tools 2.78.4 hd77b12b_0
    - libffi 3.4.4 hd77b12b_1
    - libglib 2.78.4 ha17d25a_0
    - libiconv 1.16 h2bbff1b_3
    - libuv 1.48.0 h827c3e9_0
    - lz4-c 1.9.4 h2bbff1b_1
    - ninja-base 1.10.2 h6d14046_5
    - openssl 3.0.14 h827c3e9_0
    - pcre2 10.42 h0ff8eda_1
    - pkg-config 0.29.2 h8cc25b3_0
    - python 3.11.9 he1021f5_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_4
    - vs2015_runtime 14.29.30133 h43f2093_4
    - vs2019_win-64 19.29.30154 h96f319f_4
    - vswhere 2.8.4 haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
    - zstd 1.5.5 hd43e919_2
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.7.2 haa95532_0
    - cairo 1.16.0 haedb8bc_5
    - eigen 3.4.0 h59b6b97_0
    - expat 2.6.2 hd77b12b_0
    - fontconfig 2.14.1 h9c4af85_2
    - freetype 2.10.4 hd328e21_0
    - glib 2.78.4 hd77b12b_0
    - glib-tools 2.78.4 hd77b12b_0
    - graphite2 1.3.14 hd77b12b_1
    - gst-plugins-base 1.22.3 hfc3ed34_1
    - gstreamer 1.22.3 h1779075_1
    - harfbuzz 4.3.0 hb646838_2
    - hdf5 1.12.1 h51c971a_3
    - icc_rt 2022.1.0 h6049295_2
    - icu 73.1 h6c2663c_0
    - intel-openmp 2023.1.0 h59b6b97_46320
    - jpeg 9e h827c3e9_2
    - krb5 1.20.1 h5b6d351_0
    - lerc 3.0 hd77b12b_0
    - libabseil 20240116.2 cxx17_h5da7b33_0
    - libclang 14.0.6 default_hb5a9fac_1
    - libclang13 14.0.6 default_h8e68704_1
    - libdeflate 1.17 h2bbff1b_1
    - libffi 3.4.4 hd77b12b_1
    - libglib 2.78.4 ha17d25a_0
    - libiconv 1.16 h2bbff1b_3
    - libogg 1.3.5 h2bbff1b_1
    - libpng 1.6.39 h8cc25b3_0
    - libpq 12.17 h906ac69_0
    - libprotobuf 4.25.3 hf2fb9eb_0
    - libtiff 4.5.1 hd77b12b_0
    - libvorbis 1.3.7 he774522_0
    - libwebp-base 1.3.2 h2bbff1b_0
    - libxml2 2.10.4 h0ad7f3c_2
    - lz4-c 1.9.4 h2bbff1b_1
    - mkl 2023.1.0 h6b88ed4_46358
    - mkl-service 2.4.0 py311h2bbff1b_1
    - mkl_fft 1.3.8 py311h2bbff1b_0
    - mkl_random 1.2.4 py311h59b6b97_0
    - numpy 1.23.5 py311h8631471_1
    - numpy-base 1.23.5 py311h4cfcc17_1
    - openjpeg 2.3.0 h5ec785f_1
    - openssl 3.0.14 h827c3e9_0
    - pcre2 10.42 h0ff8eda_1
    - pixman 0.40.0 h2bbff1b_1
    - python 3.11.9 he1021f5_0
    - qt-main 5.15.2 h19c9488_10
    - sqlite 3.45.3 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_4
    - vs2015_runtime 14.29.30133 h43f2093_4
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
    - zstd 1.5.5 hd43e919_2
  run:
    - eigen
    - freetype >=2.10.4,<3.0a0
    - gst-plugins-base >=1.22.3,<1.23.0a0
    - gstreamer >=1.22.3,<1.23.0a0
    - harfbuzz >=4.3.0,<5.0a0
    - hdf5 >=1.12.1,<1.12.2.0a0
    - libabseil =*=cxx17*
    - libabseil >=20240116.2,<20240116.3.0a0
    - libglib >=2.78.4,<3.0a0
    - libpng >=1.6.39,<1.7.0a0
    - libprotobuf >=4.25.3,<4.25.4.0a0
    - libtiff >=4.5.1,<5.0a0
    - libwebp-base >=1.3.2,<2.0a0
    - numpy >=1.23.5,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.11,<3.12.0a0
    - qt-main >=5.15.2,<5.16.0a0
    - vc >=14.2,<15.0a0
    - vs2015_runtime >=14.29.30133,<15.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - echo Testing for presence of alphamat
    - if not exist %PREFIX%\\Library\\bin\\opencv_alphamat4100.dll exit 1
    - echo Found                   alphamat
    - echo Testing for presence of aruco
    - if not exist %PREFIX%\\Library\\bin\\opencv_aruco4100.dll exit 1
    - echo Found                   aruco
    - echo Testing for presence of bgsegm
    - if not exist %PREFIX%\\Library\\bin\\opencv_bgsegm4100.dll exit 1
    - echo Found                   bgsegm
    - echo Testing for presence of calib3d
    - if not exist %PREFIX%\\Library\\bin\\opencv_calib3d4100.dll exit 1
    - echo Found                   calib3d
    - echo Testing for presence of ccalib
    - if not exist %PREFIX%\\Library\\bin\\opencv_ccalib4100.dll exit 1
    - echo Found                   ccalib
    - echo Testing for presence of core
    - if not exist %PREFIX%\\Library\\bin\\opencv_core4100.dll exit 1
    - echo Found                   core
    - echo Testing for presence of datasets
    - if not exist %PREFIX%\\Library\\bin\\opencv_datasets4100.dll exit 1
    - echo Found                   datasets
    - echo Testing for presence of dnn_objdetect
    - if not exist %PREFIX%\\Library\\bin\\opencv_dnn_objdetect4100.dll exit 1
    - echo Found                   dnn_objdetect
    - echo Testing for presence of dnn_superres
    - if not exist %PREFIX%\\Library\\bin\\opencv_dnn_superres4100.dll exit 1
    - echo Found                   dnn_superres
    - echo Testing for presence of dnn
    - if not exist %PREFIX%\\Library\\bin\\opencv_dnn4100.dll exit 1
    - echo Found                   dnn
    - echo Testing for presence of dpm
    - if not exist %PREFIX%\\Library\\bin\\opencv_dpm4100.dll exit 1
    - echo Found                   dpm
    - echo Testing for presence of face
    - if not exist %PREFIX%\\Library\\bin\\opencv_face4100.dll exit 1
    - echo Found                   face
    - echo Testing for presence of features2d
    - if not exist %PREFIX%\\Library\\bin\\opencv_features2d4100.dll exit 1
    - echo Found                   features2d
    - echo Testing for presence of flann
    - if not exist %PREFIX%\\Library\\bin\\opencv_flann4100.dll exit 1
    - echo Found                   flann
    - echo Testing for presence of fuzzy
    - if not exist %PREFIX%\\Library\\bin\\opencv_fuzzy4100.dll exit 1
    - echo Found                   fuzzy
    - echo Testing for presence of gapi
    - if not exist %PREFIX%\\Library\\bin\\opencv_gapi4100.dll exit 1
    - echo Found                   gapi
    - echo Testing for presence of hfs
    - if not exist %PREFIX%\\Library\\bin\\opencv_hfs4100.dll exit 1
    - echo Found                   hfs
    - echo Testing for presence of highgui
    - if not exist %PREFIX%\\Library\\bin\\opencv_highgui4100.dll exit 1
    - echo Found                   highgui
    - echo Testing for presence of img_hash
    - if not exist %PREFIX%\\Library\\bin\\opencv_img_hash4100.dll exit 1
    - echo Found                   img_hash
    - echo Testing for presence of imgcodecs
    - if not exist %PREFIX%\\Library\\bin\\opencv_imgcodecs4100.dll exit 1
    - echo Found                   imgcodecs
    - echo Testing for presence of imgproc
    - if not exist %PREFIX%\\Library\\bin\\opencv_imgproc4100.dll exit 1
    - echo Found                   imgproc
    - echo Testing for presence of intensity_transform
    - if not exist %PREFIX%\\Library\\bin\\opencv_intensity_transform4100.dll exit
      1
    - echo Found                   intensity_transform
    - echo Testing for presence of line_descriptor
    - if not exist %PREFIX%\\Library\\bin\\opencv_line_descriptor4100.dll exit 1
    - echo Found                   line_descriptor
    - echo Testing for presence of mcc
    - if not exist %PREFIX%\\Library\\bin\\opencv_mcc4100.dll exit 1
    - echo Found                   mcc
    - echo Testing for presence of ml
    - if not exist %PREFIX%\\Library\\bin\\opencv_ml4100.dll exit 1
    - echo Found                   ml
    - echo Testing for presence of objdetect
    - if not exist %PREFIX%\\Library\\bin\\opencv_objdetect4100.dll exit 1
    - echo Found                   objdetect
    - echo Testing for presence of optflow
    - if not exist %PREFIX%\\Library\\bin\\opencv_optflow4100.dll exit 1
    - echo Found                   optflow
    - echo Testing for presence of phase_unwrapping
    - if not exist %PREFIX%\\Library\\bin\\opencv_phase_unwrapping4100.dll exit 1
    - echo Found                   phase_unwrapping
    - echo Testing for presence of photo
    - if not exist %PREFIX%\\Library\\bin\\opencv_photo4100.dll exit 1
    - echo Found                   photo
    - echo Testing for presence of plot
    - if not exist %PREFIX%\\Library\\bin\\opencv_plot4100.dll exit 1
    - echo Found                   plot
    - echo Testing for presence of quality
    - if not exist %PREFIX%\\Library\\bin\\opencv_quality4100.dll exit 1
    - echo Found                   quality
    - echo Testing for presence of rapid
    - if not exist %PREFIX%\\Library\\bin\\opencv_rapid4100.dll exit 1
    - echo Found                   rapid
    - echo Testing for presence of reg
    - if not exist %PREFIX%\\Library\\bin\\opencv_reg4100.dll exit 1
    - echo Found                   reg
    - echo Testing for presence of rgbd
    - if not exist %PREFIX%\\Library\\bin\\opencv_rgbd4100.dll exit 1
    - echo Found                   rgbd
    - echo Testing for presence of saliency
    - if not exist %PREFIX%\\Library\\bin\\opencv_saliency4100.dll exit 1
    - echo Found                   saliency
    - echo Testing for presence of shape
    - if not exist %PREFIX%\\Library\\bin\\opencv_shape4100.dll exit 1
    - echo Found                   shape
    - echo Testing for presence of stereo
    - if not exist %PREFIX%\\Library\\bin\\opencv_stereo4100.dll exit 1
    - echo Found                   stereo
    - echo Testing for presence of stitching
    - if not exist %PREFIX%\\Library\\bin\\opencv_stitching4100.dll exit 1
    - echo Found                   stitching
    - echo Testing for presence of structured_light
    - if not exist %PREFIX%\\Library\\bin\\opencv_structured_light4100.dll exit 1
    - echo Found                   structured_light
    - echo Testing for presence of superres
    - if not exist %PREFIX%\\Library\\bin\\opencv_superres4100.dll exit 1
    - echo Found                   superres
    - echo Testing for presence of surface_matching
    - if not exist %PREFIX%\\Library\\bin\\opencv_surface_matching4100.dll exit 1
    - echo Found                   surface_matching
    - echo Testing for presence of text
    - if not exist %PREFIX%\\Library\\bin\\opencv_text4100.dll exit 1
    - echo Found                   text
    - echo Testing for presence of tracking
    - if not exist %PREFIX%\\Library\\bin\\opencv_tracking4100.dll exit 1
    - echo Found                   tracking
    - echo Testing for presence of video
    - if not exist %PREFIX%\\Library\\bin\\opencv_video4100.dll exit 1
    - echo Found                   video
    - echo Testing for presence of videoio
    - if not exist %PREFIX%\\Library\\bin\\opencv_videoio4100.dll exit 1
    - echo Found                   videoio
    - echo Testing for presence of videostab
    - if not exist %PREFIX%\\Library\\bin\\opencv_videostab4100.dll exit 1
    - echo Found                   videostab
    - echo Testing for presence of wechat_qrcode
    - if not exist %PREFIX%\\Library\\bin\\opencv_wechat_qrcode4100.dll exit 1
    - echo Found                   wechat_qrcode
    - echo Testing for presence of xfeatures2d
    - if not exist %PREFIX%\\Library\\bin\\opencv_xfeatures2d4100.dll exit 1
    - echo Found                   xfeatures2d
    - echo Testing for presence of ximgproc
    - if not exist %PREFIX%\\Library\\bin\\opencv_ximgproc4100.dll exit 1
    - echo Found                   ximgproc
    - echo Testing for presence of xobjdetect
    - if not exist %PREFIX%\\Library\\bin\\opencv_xobjdetect4100.dll exit 1
    - echo Found                   xobjdetect
    - echo Testing for presence of xphoto
    - if not exist %PREFIX%\\Library\\bin\\opencv_xphoto4100.dll exit 1
    - echo Found                   xphoto
    - echo Testing for presence of freetype
    - if not exist %PREFIX%\\Library\\bin\\opencv_freetype4100.dll exit 1
    - echo Found                   freetype
    - mkdir -p cmake_build_test && pushd cmake_build_test
    - cmake -G "Ninja" ..
    - cmake --build . --config Release
    - popd
    - python run_py_test.py
    - pip check
    - pip list
  files:
    - CMakeLists.txt
    - color_palette_alpha.png
    - run_py_test.py
    - test.cpp
    - test_1_c1.jpg
  imports:
    - cv2
    - cv2.freetype
    - cv2.xfeatures2d
  requires:
    - cmake
    - ninja
    - pip
    - vs2019_win-64
  source_files:
    - test.avi
about:
  description: Computer vision and machine learning software library.
  dev_url: https://github.com/opencv/opencv
  doc_url: https://docs.opencv.org/4.x/
  home: https://opencv.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Computer vision and machine learning software library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: dad992ad-5f74-424c-a043-b4dc04b28b44
  recipe-maintainers:
    - h-vetinari
    - hajapy
    - hmaarrfk
    - ilya-lavrenov
    - jakirkham
    - msarahan
    - ocefpaf
    - patricksnape
    - xhochy
    - zym1010
  remote_url: git@github.com:AnacondaRecipes/opencv-feedstock.git
  sha: fef68cf06c2b94cc19722fc22de2aedf06b260c2
